/*
 * Created on 08.05.2004
 *
 */
package phex.gui.models;

import phex.gui.tabs.search.SearchResultElement;

/**
 * 
 * @author gkoukkoullis
 */
public interface ISearchDataModel
{
    /**
     * Sets the visualiztion model that needs to be updated on data model
     * changes or null if currently not visible.
     * @param model the new visualization model or null if not visible.
     */
    public void setVisualizationModel( SearchTreeTableModel model );

    /**
     * @param index
     * @return
     */
    public SearchResultElement getSearchElementAt(int index);

    /**
     * @return
     */
    public int getSearchElementCount();

    /**
     * @param i
     * @param isSortedAscending
     */
    public void setSortBy(int i, boolean isSortedAscending);

}
